Bug 31419 - Add accesskeys to recall modal
Summary: Add accesskeys to recall modal
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Nick Clemens
QA Contact: Testopia
URL:
Keywords:
Depends on: 29734
Blocks:
  Show dependency treegraph
 
Reported: 2022-08-19 10:04 UTC by Nick Clemens
Modified: 2022-11-01 22:29 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00


Attachments
Bug 31419: Add accesskeys for modals (5.31 KB, patch)
2022-08-19 10:07 UTC, Nick Clemens
Details | Diff | Splinter Review
Bug 31419: Add accesskeys for modals (5.37 KB, patch)
2022-08-21 21:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 31419: Add accesskeys for modals (5.42 KB, patch)
2022-09-23 16:27 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nick Clemens 2022-08-19 10:04:26 UTC
We have added accesskeys for the buttons on hold modals, we should have the same functionality on recalls
Comment 1 Nick Clemens 2022-08-19 10:07:40 UTC
Created attachment 139473 [details] [review]
Bug 31419: Add accesskeys for modals

This patch simply adds accesskey elements to the buttons, and changes an icon to be
consistent with bug 26626

For tips on how to access the accesskeys:
https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/accesskey

To test:
1 - Generate a recall
2 - Fill it/check in
3 - Note modal now has hints "Confirm (Y)"
4 - Test with Y,P,I keys (may need to recreate recalls)
5 - Confirm the recall and test waiting recall modal too
Comment 2 Katrin Fischer 2022-08-21 21:52:23 UTC
Created attachment 139562 [details] [review]
Bug 31419: Add accesskeys for modals

This patch simply adds accesskey elements to the buttons, and changes an icon to be
consistent with bug 26626

For tips on how to access the accesskeys:
https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/accesskey

To test:
1 - Generate a recall
2 - Fill it/check in
3 - Note modal now has hints "Confirm (Y)"
4 - Test with Y,P,I keys (may need to recreate recalls)
5 - Confirm the recall and test waiting recall modal too

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Kyle M Hall 2022-09-23 16:27:54 UTC
Created attachment 140957 [details] [review]
Bug 31419: Add accesskeys for modals

This patch simply adds accesskey elements to the buttons, and changes an icon to be
consistent with bug 26626

For tips on how to access the accesskeys:
https://developer.mozilla.org/en-US/docs/Web/HTML/Global_attributes/accesskey

To test:
1 - Generate a recall
2 - Fill it/check in
3 - Note modal now has hints "Confirm (Y)"
4 - Test with Y,P,I keys (may need to recreate recalls)
5 - Confirm the recall and test waiting recall modal too

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Tomás Cohen Arazi 2022-09-26 13:54:35 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!